#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  libogg-1.3.4

- Next

  libsamplerate-0.2.1

- Up
- Home

# libquicktime-1.2.4

## Introduction to libquicktime

The libquicktime package contains the `libquicktime` library, various plugins and codecs, along with graphical and command line utilities used for encoding and decoding QuickTime files. This is useful for reading and writing files in the QuickTime format. The goal of the project is to enhance, while providing compatibility with the Quicktime 4 Linux library.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://downloads.sourceforge.net/libquicktime/libquicktime-1.2.4.tar.gz

- Download MD5 sum: 81cfcebad9b7ee7e7cfbefc861d6d61b

- Download size: 1.0 MB

- Estimated disk space required: 20 MB

- Estimated build time: 0.7 SBU (includes building all codec modules)

### Additional Downloads

- Required patch: http://www.linuxfromscratch.org/patches/blfs/10.1/libquicktime-1.2.4-ffmpeg4-1.patch

### libquicktime Dependencies

#### Optional

alsa-lib-1.2.4, Doxygen-1.9.1, FAAC-1_30, FAAD2-2_10_0, FFmpeg-4.3.2, GTK+-2.24.33, LAME-3.100, libdv-1.0.0, libjpeg-turbo-2.0.6, libpng-1.6.37, libvorbis-1.3.7, x264-20210211, Xorg Libraries, and Schroedinger

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/libquicktime

## Installation of libquicktime

Install libquicktime by running the following commands:

    patch -Np1 -i ../libquicktime-1.2.4-ffmpeg4-1.patch &&

    ./configure --prefix=/usr     \
                --enable-gpl      \
                --without-doxygen \
                --docdir=/usr/share/doc/libquicktime-1.2.4
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install &&

    install -v -m755 -d /usr/share/doc/libquicktime-1.2.4 &&
    install -v -m644    README doc/{*.txt,*.html,mainpage.incl} \
                        /usr/share/doc/libquicktime-1.2.4

## Command Explanations

`--enable-gpl`: Changes the licence to GPL. This enables some extra plugins, such as FAAC, FAAD2, and x264.

`--without-doxygen`: This is necessary if you do not have Doxygen, omit this if it is installed and you wish the API documentation installed.

`--with-libdv`: Build with libdv support. Not enabled by default.

## Contents

Installed Programs: libquicktime_config, lqtplay, lqtremux, lqt_transcode, qt2text, qtdechunk, qtdump, qtinfo, qtrechunk, qtstreamize, and qtyuv4toyuv
Installed Libraries: libquicktime.so and several plugin codec libraries
Installed Directories: /usr/include/lqt, /usr/lib/libquicktime, and /usr/share/doc/libquicktime-1.2.4

### Short Descriptions

libquicktime_config | is a graphical front end to examine and configure the available libquicktime audio and video codecs
lqtplay | is a simple QuickTime movie player for X Window System
lqt_transcode | is a command-line program used to encode video and/or audio files from one format to another
qt2text | is used to dump all text strings from a quicktime file
qtdechunk | can take movies containing rgb frames and write them out as ppm images
qtdump | displays the parsed contents of the provided file
qtinfo | prints various pieces of metadata parsed by the libquicktime library for the provided file
qtrechunk | concatenates input frames into a QuickTime movie
qtstreamize | is used to make a file streamable by placing the moov header at the beginning of the file
qtyuv4toyuv | is used to write a YUV4 encoded movie as a planar YUV 4:2:0 file
`libquicktime.so` | is a library for reading and writing QuickTime files. It provides convenient access to QuickTime files with a variety of supported codecs. The library contains new functions integrated with all the original QuickTime 4 Linux library functions used to encode and decode QuickTime files

Last updated on 2021-02-21 15:09:04 -0800

- Prev

  libogg-1.3.4

- Next

  libsamplerate-0.2.1

- Up
- Home